> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/it/powershell-commands/get-rdmpersonalcredentials.md).

# Get-RDMPersonalCredentials

Get-RDMPersonalCredentials recupera la voce di connessione che rappresenta le My Personal Credentials dell'utente corrente in Remote Desktop Manager.

### Sinossi

Ottiene la connessione che rappresenta 'MyPersonalCredentials'.

### Sintassi

#### \_\_AllParameterSets

```
Get-RDMPersonalCredentials [-ForcePromptAnswer <DialogResult[]>] [<CommonParameters>]
```

### Descrizione

Ottiene la connessione che rappresenta 'MyPersonalCredentials'. Tutte le informazioni pertinenti si trovano nella proprietà Credentials. Su Windows, la policy DisableMyPersonalCredentials impedisce l'uso di questo cmdlet.

### Esempi

#### Esempio 1

```powershell
PS C:\> $persoCreds = Get-RDMPersonalCredentials
```

Memorizza le credenziali personali nella variabile $persoCreds. Acceda ai valori desiderati in $persoCreds.Credentials.

#### Esempio 2

```powershell
PS C:\> $perso = Get-RDMPersonalCredentials; $perso.Credentials.SecretServerPassword = (ConvertTo-SecureString -AsPlainText 'aPassword'); $perso.Credentials.SecretServerUsername = 'aPassword'; $perso.Credentials.SecretServerDomain = 'aDomain'; Set-RDMPersonalCredentials -Session $perso
```

Recupera le credenziali personali. Modifica i valori di dominio, password e nome utente di Secret Server. Salva le modifiche. La modifica della password è visibile nel cambio di valore del campo SafeSecretServerPassword.

### Parametri

#### -ForcePromptAnswer

Parametro switch da usare con cautela. Risponde automaticamente ai prompt che pongono domande sì/no, sì/no/annulla oppure ok/annulla. In caso di più prompt, è possibile passare più valori a questo parametro. Ecco i valori accettati:

* Yes: accetta il prompt. Copre i valori OK e Automatic.
* No: rifiuta il prompt sì/no/annulla. "Cancel" è l'opzione di ripiego se non è presente l'opzione "No".
* Cancel: annulla il prompt sì/no/annulla. "No" è l'opzione di ripiego se non è presente l'opzione "Cancel".

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Questo cmdlet supporta i parametri comuni: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction e -WarningVariable. Per maggiori informazioni, veda [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Note

Per maggiori informazioni, digiti "Get-Help Get-RDMPersonalCredentials -detailed". Per informazioni tecniche, digiti "Get-Help Get-RDMPersonalCredentials -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/it/powershell-commands/get-rdmpersonalcredentials.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
